import {createApp} from 'vue';
import {createRouter, createWebHashHistory} from 'vue-router';
import { createI18n } from 'vue-i18n/dist/vue-i18n.cjs.js';
import {VTooltip} from 'v-tooltip';
import mRouter from './route/index.js';
import App from './App.vue';

import zh from '@/i18n/zh-CN.js';
import en from '@/i18n/en-US.js';

// 默认语言
const default_lang = 'zh';

const i18n = createI18n({
  locale: default_lang,
  messages: {
    'zh': zh,
    'en': en,
  },
});

const router = createRouter({
  history: createWebHashHistory(),
  routes: mRouter.routes, // (缩写) 相当于 routes: routes
});


// new Vue({
// 	el: '#app',
// 	i18n,
// 	router,
// 	render: h => h(App)
// })

let app = createApp(App);
app.use(i18n);
app.use(router);
app.use(VTooltip);
app.mount('#app');
