import Desktop from '../Desktop.vue';
const CheckBoxExample = () => import(/* webpackChunkName: "check-box-example" */ '../checkbox/src/CheckBoxExample.vue');
const DateExample = () => import(/* webpackChunkName: "date-example" */ '../date/src/DateExample.vue');
const DateTimeExample = () => import(/* webpackChunkName: "date-time-example" */ '../datetime/src/DateTimeExample.vue');
const DateTimeV2Example = () => import(/* webpackChunkName: "date-time-v2-example" */ '../datetime-v2/src/DateTimeV2Example.vue');
const ModalExample = () => import(/* webpackChunkName: "modal-example" */ '../modal/src/ModalExample.vue');
const NavbarExample = () => import(/* webpackChunkName: "nav-bar-example" */ '../navbar/src/NavbarExample.vue');
const ImagePreviewExample = () => import(/* webpackChunkName: "image-preview-example" */ '../image-preview/src/ImagePreviewExample.vue');
const PageSizeSelectExample = () => import(/* webpackChunkName: "page-size-select-example" */ '../page-size-select/src/PageSizeSelectExample.vue');
const PrintExample = () => import(/* webpackChunkName: "print-example" */ '../print/src/PrintExample.vue');
const ScannerExample = () => import(/* webpackChunkName: "scanner-example" */ '../scanner/src/ScannerExample.vue');
const SwitchesExample = () => import(/* webpackChunkName: "switches-example" */ '../switches/src/SwitchesExample.vue');
const TimeExample = () => import(/* webpackChunkName: "time-example" */ '../time/src/TimeExample.vue');
const TreeExample = () => import(/* webpackChunkName: "tree-example" */ '../tree/src/TreeExample.vue');
const UploadWidgetExample = () => import(/* webpackChunkName: "tree-example" */ '../upload-widget/src/UploadWidgetExample.vue');
const VueBootstrapPaginationExample = () => import(/* webpackChunkName: "tree-example" */ '../vue-bootstrap-pagination/src/VueBootstrapPaginationExample.vue');
const VueMonthlyPickerExample = () => import(/* webpackChunkName: "vue-monthly-picker-example" */ '../vue-monthly-picker/src/VueMonthlyPickerExample.vue');
const YearPickerExample = () => import(/* webpackChunkName: "year-picker-example" */ '../year-picker/src/YearPickerExample.vue');



const LoadingExample = () => import(/* webpackChunkName: "loading-example" */ '../loading/src/LoadingExample.vue');
const ProcessReport = () => import(/* webpackChunkName: "process-report" */ '../../packages/process/src/ProcessReport.vue');
const InfoWindow = () => import(/* webpackChunkName: "info-window" */ '../../packages/info/src/InfoWindow.vue');
const DocGeneratorSelected = () => import(/* webpackChunkName: "doc-generator-selected" */ '../../packages/info/src/DocGeneratorSelected.vue');

export default {
  routes: [
    {
      path: '/desktop',
      component: Desktop,
      children: [

        /** 复选框控件 */
        { path: 'check-box-example', component: CheckBoxExample },

        /** 日期控件 */
        { path: 'date-example', component: DateExample },
				
        /** 日期时间控件 */
        { path: 'date-time-example', component: DateTimeExample },

        /** 日期时间控件V2 */
        { path: 'date-time-v2-example', component: DateTimeV2Example },

        /** 模态框控件 */
        { path: 'modal-example', component: ModalExample },

        /** 图片预览控件 */
        { path: 'image-preview-example', component: ImagePreviewExample },

        /** 加载中 */
        { path: 'loading-example', component: LoadingExample },

        /** 页面导航 */
        { path: 'navbar-example', component: NavbarExample },

        /** 分页控件 */
        { path: 'page-size-select-example', component: PageSizeSelectExample },

        /** 分页控件 */
        { path: 'page-size-select-example', component: PageSizeSelectExample },

        /** 打印控件 */
        { path: 'print-example', component: PrintExample },

        /** 扫描仪控件 */
        { path: 'scanner-example', component: ScannerExample },

        /** 开关控件 */
        { path: 'switches-example', component: SwitchesExample },

        /** 时间控件 */
        { path: 'time-example', component: TimeExample },

        /** 树控件 */
        { path: 'tree-example', component: TreeExample },

        /** 上传控件 */
        { path: 'update-widget-example', component: UploadWidgetExample },

        /** 分页控件 */
        { path: 'pagination-example', component: VueBootstrapPaginationExample },

        /** 月份控件 */
        { path: 'vue-monthly-picker-example', component: VueMonthlyPickerExample },

        /** 年份控件 */
        { path: 'year-picker-example', component: YearPickerExample },

				
				



        /** 流程报表 */
        { path: 'process-report/:no', component: ProcessReport },

        /** 查询窗口 */
        { path: 'info/:infoWindowNo', component: InfoWindow },

        /** 查询窗口 */
        { path: 'doc-generator-selected', component: DocGeneratorSelected },
      ],

    },
    // {
    // 	path: "/:pathMatch(.*)*",
    // 	name: "notFound",
    // 	component: Test,  // 引入 组件
    // },
  ],
};