import Loading from './loading/index.js';
import Modal from './modal/index.js';
import DateTime from './dateTime/index.js';
import DateTimeV2 from './dateTime-v2/index.js';
import Date from './date/index.js';
import Checkbox from '../packages/checkbox/index.js';
import PageSizeSelect from './page-size-select/index.js';
import Time from './time/index.js';
import Switches from './switches/index.js';
import YearPicker from './year-picker/index.js';
import VueBootstrapPagination from './vue-bootstrap-pagination/index.js';
import VueMonthlyPicker from './vue-monthly-picker/index.js';
import UploadWidget from './upload-widget/index.js';
import Scanner from './scanner/index.js';
import Navbar from './navbar/index.js';
import ImagePreview from './image-preview/index.js';
import InfoWindow from './info/index.js';
import ProcessReport from './process/index.js';
import ProcessReportResult from './process/process-report-result.js';
import ProcessReportResultPreview from './process/process-report-result-preview.js';


import DocGenerator from './info/doc-generator.js';
import InfoSearchWidget from './info/info-search-widget.js';
import SearchWidget from './info/search-widget.js';

import PrintEpc from './print/print-epc.js';
import PrintWidget from './print/print-widget.js';

// import Pagination from './pagination/index.js';

import TreeViewNode from './tree/index.js';


import langZhCn from './i18n/zh-CN.js';
import langEnUs from './i18n/en-US.js';

// import VueI18n from 'vue-i18n';


import Uuid from './common/Uuid.js';
import Common from './common/Common.js';
import SqlApi from './common/SqlApi.js';
import Notify from './common/Notify.js';
import IFrameUtil from './common/IFrameUtil.js';
import UserStorageResource from './common/UserStorageResource.js';
import DownloadService from './common/DownloadService.js';
import ProcessReportResource from './process/src/api/ProcessReportResource.js';

import ModalFix from './modal/src/ModalFix.js';
import PrintUtil from './print/src/PrintUtil.js';

const components = [
  Loading,
  Modal,
  DateTime,
  DateTimeV2,
  Date,
  Checkbox,
  PageSizeSelect,
  Time,
  Switches,
  YearPicker,
  VueBootstrapPagination,
  VueMonthlyPicker,
  UploadWidget,
  Scanner,
  Navbar,
  ImagePreview,
  InfoWindow,
  ProcessReport,
  ProcessReportResult,
  ProcessReportResultPreview,
  DocGenerator,
  InfoSearchWidget,
  SearchWidget,
  PrintEpc,
  PrintWidget,
  TreeViewNode,
  // Pagination
];


const install = function (app, opts = {}) {
  /* istanbul ignore if */
  if (install.installed) return;

    
  // Vue.use(VueI18n);

  // Vue.mixin({
  //   beforeCreate() {
  //     var _self = this;
  //     // 这里为了防止 beforeCreate 比 vue-i18n 的 beforeCreate 先执行导致 this.$i18n 为空
  //     this.$nextTick(() => {
  //       // 判断是否为根节点，合并国际化信息
  //       //if (this.$root === this && this.$i18n) {
  //       if (this.$i18n) {
  //         _self.$i18n.mergeLocaleMessage('zh-CN', langZhCn);
  //         _self.$i18n.mergeLocaleMessage('en-US', langEnUs);
  //       }
  //     });
  //   },
  // });

  // locale.use(opts.locale);
  // locale.i18n(opts.i18n);

  components.map(component => {
    console.log('install component: ' + component.name);
    app.component(component.name, component);
  });

  install.installed = true;
};


/* istanbul ignore if */
if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue);
};


export default {
  version: '1.2.9',
  // locale: locale.use,
  // i18n: locale.i18n,
  install,
  Loading,
  Modal,
  DateTime,
  DateTimeV2,
  Date,
  Checkbox,
  PageSizeSelect,
  Time,
  Switches,
  YearPicker,
  VueBootstrapPagination,
  VueMonthlyPicker,
  UploadWidget,
  Scanner,
  Navbar,
  ImagePreview,
  InfoWindow,
  DocGenerator,
  ProcessReport,
  ProcessReportResult,
  ProcessReportResultPreview,
  InfoSearchWidget,
  SearchWidget,
  PrintEpc,
  PrintWidget,
  TreeViewNode,
  // Pagination,
  Uuid,
  Common,
  SqlApi,
  Notify,
  IFrameUtil,
  ModalFix,
  PrintUtil,
  UserStorageResource,
  DownloadService,
  ProcessReportResource,
};
