export default {

  /**
     * 克隆过滤字段集合
     * @param {*} infoFilterField 过滤字段
     */
  cloneInfoFilterFields: function (infoFilterFields) {
    var cloneInfoFilterFields = [];
    for (var i = 0, len = infoFilterFields.length; i < len; i++) {
      var infoFilterField = infoFilterFields[i];
      if (infoFilterField.constraintEnum == 'Between') {
        let cloneObject1 = this.cloneInfoFilterField(infoFilterField);
        cloneObject1.index = 1;
        cloneInfoFilterFields.push(cloneObject1);

        let cloneObject2 = this.cloneInfoFilterField(infoFilterField);
        cloneObject2.index = 2;
        cloneObject2.name = '~';
        cloneObject2.value = cloneObject1.value;
        cloneInfoFilterFields.push(cloneObject2);
      } else {
        let cloneObject1 = this.cloneInfoFilterField(infoFilterField);
        cloneObject1.index = 1;
        cloneInfoFilterFields.push(cloneObject1);
      }
    }

    // 排序
    cloneInfoFilterFields.sort(function (item1, item2) {
      return item1.sortNo - item2.sortNo;
    });

    return cloneInfoFilterFields;
  },

  /**
     * 克隆过滤字段
     * @param {*} infoFilterField 过滤字段
     */
  cloneInfoFilterField: function (infoFilterField) {
    var cloneObject = {
      'fieldName': infoFilterField.fieldName,
      'name': infoFilterField.name,
      'nameEng': infoFilterField.nameEng,
      'help': infoFilterField.help,
      'helpEng': infoFilterField.helpEng,
      'displayType': infoFilterField.displayType,
      'listFieldNames': infoFilterField.listFieldNames,
      'infoWindowNo': infoFilterField.infoWindowNo,
      'sortNo': infoFilterField.sortNo,
      'isShow': infoFilterField.isShow,
      'constraintEnum': infoFilterField.constraintEnum,
      'defaultValue1': infoFilterField.defaultValue1,
      'defaultValue2': infoFilterField.defaultValue2,
      'whereClause': infoFilterField.whereClause,
      'enumClass': infoFilterField.enumClass,
      'rowNumber': infoFilterField.rowNumber,
      'columnNumber': infoFilterField.columnNumber,
      'columnSpan': infoFilterField.columnSpan,
      'value': {
        'infoFilterFieldId': infoFilterField.id,
        'value1': infoFilterField.value.value1,
        'value2': infoFilterField.value.value2,
      },
      'keyValues':infoFilterField.keyValues,
    };


    if (cloneObject.displayType == 'ListBoxEnumEditor' || cloneObject.displayType == 'SearchBoxEditor') {
      let fieldValue = {
        id: {},
        displayValue: [],
        fieldType: 'Key',
      };
      cloneObject.fieldValue = fieldValue;
    } else if (cloneObject.displayType == 'MultiSearchBoxEditor') {
      let fieldValue = {
        displayValue: [],
        fieldType: 'MultiSearchBoxEditor',
        ids: [],
      };
      cloneObject.fieldValue = fieldValue;
    }

    return cloneObject;
  },
};